## nsf 2.3.0

=== unix/Makefile ===
# Makefile.in --
#
#	This file is a Makefile for Sample TEA Extension.  If it has the name
#	"Makefile.in" then it is a template for a Makefile;  to generate the
#	actual Makefile, run "./configure", which is a configuration script
#	generated by the "autoconf" program (constructs like "@foo@" will get
#	replaced in the actual Makefile.
#
# Copyright (c) 1999 Scriptics Corporation.
# Copyright (c) 2002-2003 ActiveState Corporation.
# Copyright (c) 2001-2007 Uwe Zdun
# Copyright (c) 2001-2014 Gustaf Neumann
#
# See the file "tcl-license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#

#========================================================================
# Add additional lines to handle any additional AC_SUBST cases that
# have been added in a customized configure script.
#========================================================================

NX_VERSION 	= 2.0.0

src_lib_dir		= ${srcdir}/library
src_doc_dir		= ${srcdir}/doc
src_test_dir		= ${srcdir}/tests
src_app_dir		= ${srcdir}/apps
src_generic_dir		= ${srcdir}/generic
src_man_dir		= ${srcdir}/man
TCL_LIB_SPEC		= -L/usr/local/ns/lib -ltcl8.5
subdirs			=  ../library/mongodb
aol_prefix		= /usr/local/ns
stubdir                 = stubs${TCL_MAJOR_VERSION}.${TCL_MINOR_VERSION}

# Requires native paths
PLATFORM_DIR	= `echo $(srcdir)/unix`
target_doc_dir		= ./doc

src_lib_dir_native	= `echo ${src_lib_dir}`
src_doc_dir_native	= `echo ${src_doc_dir}`
src_test_dir_native 	= `echo ${src_test_dir}`
src_app_dir_native	= `echo ${src_app_dir}`
src_generic_dir_native	= `echo ${src_generic_dir}`

libdirs		= lib nx serialize
libsrc		= COPYRIGHT pkgIndex.tcl 
appdirs		= 
appsrc		= COPYRIGHT 


# XOTcl subpackage
xotcl_srcdir	= ${srcdir}/library/xotcl
xotcl_src_doc_dir = ${xotcl_srcdir}/doc
xotcl_src_app_dir = ${xotcl_srcdir}/apps
xotcl_src_lib_dir = ${xotcl_srcdir}/library
xotcl_src_test_dir = ${xotcl_srcdir}/tests
xotcl_target_doc_dir = ${xotcl_srcdir}/doc

xotcl_libdirs	= comm lib serialize 
xotcl_libsrc	= COPYRIGHT xotcl2.tcl pkgIndex.tcl
xotcl_appdirs	= comm scripts utils  
xotcl_appsrc	= COPYRIGHT 

# Documentation source for xotcl-style documentation system
XODOC_SOURCE = \
	$(src_lib_dir)/serialize/serializer.tcl \
	$(xotcl_src_doc_dir)/langRef.xotcl \
	$(xotcl_src_lib_dir)/lib/*.xotcl \
	$(xotcl_src_test_dir)/*.xotcl \
	$(xotcl_src_app_dir)/comm/[flsw]*.xotcl \
	$(xotcl_src_app_dir)/utils/xo-*[a-z0-9] 

#export TCLLIBPATH=. ${srcdir}
mkinstalldirs= mkdir -p
#========================================================================
# Nothing of the variables below this line should need to be changed.
# Please check the TARGETS section below to make sure the make targets
# are correct.
#========================================================================

DTRACE_OBJ = 
DTRACE_HDR = $(src_generic_dir)/nsfDTrace.h
DTRACE_SRC = $(src_generic_dir)/nsfDTrace.d

#========================================================================
# The names of the source files is defined in the configure script.
# The object files are used for linking into the final library.
# This will be used when a dist target is added to the Makefile.
# It is not important to specify the directory, as long as it is the
# $(srcdir) or in the generic, win or unix subdirectory.
#========================================================================

PKG_SOURCES	=  nsf.c nsfError.c nsfObjectData.c nsfProfile.c nsfDebug.c nsfUtil.c nsfObj.c nsfPointer.c nsfEnumerationType.c nsfCmdDefinitions.c nsfShadow.c nsfCompile.c aolstub.c ${srcdir}/generic/stubs8.5/nsfStubInit.o
PKG_OBJECTS	=  nsf.o nsfError.o nsfObjectData.o nsfProfile.o nsfDebug.o nsfUtil.o nsfObj.o nsfPointer.o nsfEnumerationType.o nsfCmdDefinitions.o nsfShadow.o nsfCompile.o aolstub.o ${srcdir}/generic/stubs8.5/nsfStubInit.o ${DTRACE_OBJ}

PKG_STUB_SOURCES =  nsfStubLib.c
PKG_STUB_OBJECTS =  nsfStubLib.o

#========================================================================
# PKG_TCL_SOURCES identifies Tcl runtime files that are associated with
# this package that need to be installed, if any.
#========================================================================

PKG_TCL_SOURCES = 

#========================================================================
# This is a list of public header files to be installed, if any.
#========================================================================

PKG_HEADERS	=  generic/nsf.h generic/nsfInt.h generic/stubs8.5/nsfDecls.h generic/stubs8.5/nsfIntDecls.h

#========================================================================
# "PKG_LIB_FILE" refers to the library (dynamic or static as per
# configuration options) composed of the named objects.
#========================================================================

PKG_LIB_FILE	= libnsf2.0.0.dylib
PKG_STUB_LIB_FILE = libnsfstub2.0.0.a

lib_BINARIES	= $(PKG_LIB_FILE) $(PKG_STUB_LIB_FILE)
BINARIES	= $(lib_BINARIES)

SHELL		= /bin/sh

srcdir		= ..
prefix		= /usr/local/ns
exec_prefix	= /usr/local/ns

bindir		= ${exec_prefix}/bin
libdir		= ${exec_prefix}/lib
datadir		= ${datarootdir}
datarootdir	= ${prefix}/share
mandir		= ${datarootdir}/man
includedir	= ${prefix}/include

DESTDIR		=

PKG_DIR		= $(PACKAGE_NAME)$(PACKAGE_VERSION)
pkglibdir	= $(libdir)/$(PKG_DIR)

top_builddir	= .

INSTALL         = $(SHELL) $(srcdir)/tclconfig/install-sh -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA    = ${INSTALL} -m 644
INSTALL_SCRIPT  = ${INSTALL}

# INSTALL_OPTIONS =
# INSTALL		= $(SHELL) $(srcdir)/config/install-sh -c ${INSTALL_OPTIONS}
# INSTALL_DATA_DIR = ${INSTALL} -d -m 755
# INSTALL_PROGRAM	= ${INSTALL} -m 755
# INSTALL_DATA	= ${INSTALL} -m 644
# INSTALL_SCRIPT	= ${INSTALL_PROGRAM}
# INSTALL_LIBRARY	= ${INSTALL_DATA}

PACKAGE_NAME	= nsf
PACKAGE_VERSION	= 2.0.0
CC		= gcc
CFLAGS_DEFAULT	= -g
# useful for debugging:  --param=ssp-buffer-size=4 -fstack-protector-all 
CFLAGS_WARNING	= -Wall
CLEANFILES	= *.a *.so *~ core gmon.out *.o pkgIndex.tcl
EXEEXT		= 
LDFLAGS_DEFAULT	=  -prebind -headerpad_max_install_names -Wl,-search_paths_first 
MAKE_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS} 
MAKE_SHARED_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS}
MAKE_STATIC_LIB	= ${STLIB_LD} $@ $(PKG_OBJECTS)
MAKE_STUB_LIB	= ${STLIB_LD} $@ $(PKG_STUB_OBJECTS)
OBJEXT		= o
RANLIB		= :
RANLIB_STUB	= ranlib
SHLIB_CFLAGS	= -fno-common
SHLIB_LD	= ${CC} -dynamiclib ${CFLAGS} ${LDFLAGS_DEFAULT} -Wl,-single_module -current_version 2.0.0 -compatibility_version 2.0.0
SHLIB_LD_LIBS	= ${LIBS} -L/usr/local/ns/lib -ltclstub8.5
STLIB_LD	= ${AR} cr
TCL_DEFS	= -DPACKAGE_NAME=\"tcl\" -DPACKAGE_TARNAME=\"tcl\" -DPACKAGE_VERSION=\"8.5\" -DPACKAGE_STRING=\"tcl\ 8.5\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_PTHREAD_ATFORK=1 -DHAVE_PTHREAD_GET_STACKSIZE_NP=1 -DTCL_THREADS=1 -DTCL_CFGVAL_ENCODING=\"iso8859-1\" -DMODULE_SCOPE=extern\ __attribute__\(\(__visibility__\(\"hidden\"\)\)\) -DMAC_OSX_TCL=1 -DHAVE_CAST_TO_UNION=1 -DTCL_SHLIB_EXT=\".dylib\" -DTCL_TOMMATH=1 -DMP_PREC=4 -DTCL_WIDE_INT_IS_LONG=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRTOL=1 -DHAVE_WAITPID=1 -DHAVE_GETADDRINFO=1 -DHAVE_GETPWUID_R_5=1 -DHAVE_GETPWUID_R=1 -DHAVE_GETPWNAM_R_5=1 -DHAVE_GETPWNAM_R=1 -DHAVE_GETGRGID_R_5=1 -DHAVE_GETGRGID_R=1 -DHAVE_GETGRNAM_R_5=1 -DHAVE_GETGRNAM_R=1 -DHAVE_MTSAFE_GETHOSTBYNAME=1 -DHAVE_MTSAFE_GETHOSTBYADDR=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_MKTIME=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_STRUCT_STAT_ST_BLOCKS=1 -DHAVE_STRUCT_STAT_ST_BLKSIZE=1 -DHAVE_BLKCNT_T=1 -DHAVE_INTPTR_T=1 -DHAVE_UINTPTR_T=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_LANGINFO=1 -DHAVE_CHFLAGS=1 -DHAVE_GETATTRLIST=1 -DHAVE_COPYFILE_H=1 -DHAVE_COPYFILE=1 -DUSE_VFORK=1 -DTCL_DEFAULT_ENCODING=\"utf-8\" -DTCL_LOAD_FROM_MEMORY=1 -DTCL_WIDE_CLICKS=1 -DHAVE_AVAILABILITYMACROS_H=1 -DHAVE_WEAK_IMPORT=1 -D_DARWIN_C_SOURCE=1 -DHAVE_FTS=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_FILIO_H=1 -DTCL_UNLOAD_DLLS=1 -DHAVE_CPUID=1 
TCL_BIN_DIR	= /usr/local/ns/lib
TCL_SRC_DIR	= /usr/local/src/tcl8.5.17
#
DTRACE          = dtrace

ifeq ($(DTPLITE),)
  DTPLITE=dtplite
else
  # Do nothing, use the environment variable as is.
endif
#
# Not used, but retained for reference of what libs Tcl required
TCL_LIBS	= ${DL_LIBS} ${LIBS} ${MATH_LIBS}

xotcl_pkglibdir	= $(pkglibdir)/xotcl

installed_shells = $(DESTDIR)$(bindir)/nxsh $(DESTDIR)$(bindir)/nxwish $(DESTDIR)$(bindir)/xotclsh $(DESTDIR)$(bindir)/xowish

#========================================================================
# TCLLIBPATH seeds the auto_path in Tcl's init.tcl so we can test our
# package without installing.  The other environment variables allow us
# to test against an uninstalled Tcl.  Add special env vars that you
# require for testing here (like TCLX_LIBRARY).
#========================================================================

EXTRA_PATH	= $(top_builddir):$(TCL_BIN_DIR)
TCLSH_ENV	= TCL_LIBRARY=`echo $(TCL_SRC_DIR)/library` \
		  DYLD_LIBRARY_PATH="$(EXTRA_PATH):$(DYLD_LIBRARY_PATH)" \
		  PATH="$(EXTRA_PATH):$(PATH)" \
		  TCLLIBPATH="$(top_builddir) ${srcdir} $(TCLLIBPATH)"
TCLSH_PROG	= /usr/local/ns/bin/tclsh8.5
TCLSH		= $(TCLSH_ENV) $(TCLSH_PROG)
#TCLSH		= $(TCLSH_ENV) valgrind --dsymutil=yes $(TCLSH_PROG)
SHARED_BUILD	= 1

INCLUDES	=  -I"/usr/local/src/tcl8.5.17/generic" -I"/usr/local/src/tcl8.5.17/unix" -I/Users/neumann/src/nsf2.0/generic
EXTRA_CFLAGS	=  -DNSF_VERSION=\"2.0\" -DNSF_PATCHLEVEL=\"2.0.0\" 	 

# TCL_DEFS is not strictly need here, but if you remove it, then you
# must make sure that configure.in checks for the necessary components
# that your library may use.  TCL_DEFS can actually be a problem if
# you do not compile with a similar machine setup as the Tcl core was
# compiled with.
#DEFS		= $(TCL_DEFS) -DPACKAGE_NAME=\"nsf\" -DPACKAGE_TARNAME=\"nsf\" -DPACKAGE_VERSION=\"2.0.0\" -DPACKAGE_STRING=\"nsf\ 2.0.0\" -DPACKAGE_BUGREPORT=\"xotcl@alice.wu-wien.ac.at\" -DPACKAGE_URL=\"\" -DBUILD_nsf=/\*\*/ -DHAVE_STRNSTR=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_TCL_COMPILE_H=1 -DNSF_WITH_ASSERTIONS=1 -DNSF_PROFILE=1 -DNSF_DEVELOPMENT=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -DMODULE_SCOPE=extern\ __attribute__\(\(__visibility__\(\"hidden\"\)\)\) -DHAVE_HIDDEN=1 -DHAVE_CAST_TO_UNION=1 -DTCL_WIDE_INT_IS_LONG=1 -DUSE_TCL_STUBS=1 -DCOMPILE_NSF_STUBS=1 $(EXTRA_CFLAGS)
DEFS		= -DPACKAGE_NAME=\"nsf\" -DPACKAGE_TARNAME=\"nsf\" -DPACKAGE_VERSION=\"2.0.0\" -DPACKAGE_STRING=\"nsf\ 2.0.0\" -DPACKAGE_BUGREPORT=\"xotcl@alice.wu-wien.ac.at\" -DPACKAGE_URL=\"\" -DBUILD_nsf=/\*\*/ -DHAVE_STRNSTR=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DHAVE_TCL_COMPILE_H=1 -DNSF_WITH_ASSERTIONS=1 -DNSF_PROFILE=1 -DNSF_DEVELOPMENT=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -DMODULE_SCOPE=extern\ __attribute__\(\(__visibility__\(\"hidden\"\)\)\) -DHAVE_HIDDEN=1 -DHAVE_CAST_TO_UNION=1 -DTCL_WIDE_INT_IS_LONG=1 -DUSE_TCL_STUBS=1 -DCOMPILE_NSF_STUBS=1 $(EXTRA_CFLAGS) 

CONFIG_CLEAN_FILES = Makefile ../nsfConfig.sh ../library/xotcl/xotclsh ../library/xotcl/xowish ../unix/pkgIndex.unix nxsh nxwish autom4te.cache/

CPPFLAGS	= 
LIBS		=  
AR		= ar
CFLAGS		= -pipe  ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS}

=== library/store/XOTclSdbm/Makefile ===
# Makefile.in --
#
#	This file is a Makefile for Sample TEA Extension.  If it has the name
#	"Makefile.in" then it is a template for a Makefile;  to generate the
#	actual Makefile, run "./configure", which is a configuration script
#	generated by the "autoconf" program (constructs like "@foo@" will get
#	replaced in the actual Makefile.
#
# Copyright (c) 1999 Scriptics Corporation.
# Copyright (c) 2002-2003 ActiveState Corporation.
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# RCS: @(#) $Id: Makefile.in,v 1.5 2007/08/14 16:38:26 neumann Exp $

#========================================================================
# Add additional lines to handle any additional AC_SUBST cases that
# have been added in a customized configure script.
#========================================================================

#SAMPLE_NEW_VAR	= @SAMPLE_NEW_VAR@

#========================================================================
# Nothing of the variables below this line should need to be changed.
# Please check the TARGETS section below to make sure the make targets
# are correct.
#========================================================================

#========================================================================
# The names of the source files is defined in the configure script.
# The object files are used for linking into the final library.
# This will be used when a dist target is added to the Makefile.
# It is not important to specify the directory, as long as it is the
# $(srcdir) or in the generic, win or unix subdirectory.
#========================================================================

PKG_SOURCES	=  hash.c pair.c sdbm.c xotclsdbm.c
PKG_OBJECTS	=  hash.o pair.o sdbm.o xotclsdbm.o

PKG_STUB_SOURCES = 
PKG_STUB_OBJECTS = 

#========================================================================
# PKG_TCL_SOURCES identifies Tcl runtime files that are associated with
# this package that need to be installed, if any.
#========================================================================

PKG_TCL_SOURCES = 

#========================================================================
# This is a list of public header files to be installed, if any.
#========================================================================

PKG_HEADERS	= 

#========================================================================
# "PKG_LIB_FILE" refers to the library (dynamic or static as per
# configuration options) composed of the named objects.
#========================================================================

PKG_LIB_FILE	= libxotclsdbm1.2.dylib
PKG_STUB_LIB_FILE = libxotclsdbmstub1.2.a

lib_BINARIES	= $(PKG_LIB_FILE)
BINARIES	= $(lib_BINARIES)

SHELL		= /bin/sh

srcdir		= .
prefix		= /usr/local
exec_prefix	= /usr/local/

bindir		= ${exec_prefix}/bin
libdir		= ${exec_prefix}/lib
datadir		= ${prefix}/share
mandir		= ${prefix}/share/man
includedir	= ${prefix}/include

DESTDIR		=

PKG_DIR		= $(PACKAGE_NAME)$(PACKAGE_VERSION)
pkgdatadir	= $(datadir)/$(PKG_DIR)
pkglibdir	= $(libdir)/$(PKG_DIR)
pkgincludedir	= $(includedir)/$(PKG_DIR)

top_builddir	= .

INSTALL		= /usr/bin/install -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644
INSTALL_SCRIPT	= ${INSTALL}

PACKAGE_NAME	= xotclsdbm
PACKAGE_VERSION	= 1.2
CC		= gcc
CFLAGS_DEFAULT	= -g
CFLAGS_WARNING	= -Wall -Wno-implicit-int
CLEANFILES	= pkgIndex.tcl
EXEEXT		= 
LDFLAGS_DEFAULT	=  -prebind -headerpad_max_install_names -Wl,-search_paths_first 
MAKE_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS} 
MAKE_SHARED_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS}
MAKE_STATIC_LIB	= ${STLIB_LD} $@ $(PKG_OBJECTS)
MAKE_STUB_LIB	= ${STLIB_LD} $@ $(PKG_STUB_OBJECTS)
OBJEXT		= o
RANLIB		= :
RANLIB_STUB	= ranlib
SHLIB_CFLAGS	= -fno-common
SHLIB_LD	= ${CC} -dynamiclib ${CFLAGS} ${LDFLAGS_DEFAULT} -Wl,-single_module
SHLIB_LD_FLAGS	= @SHLIB_LD_FLAGS@
SHLIB_LD_LIBS	= ${LIBS} -L/usr/local/src/tcl8.5.13/unix -ltclstub8.5
STLIB_LD	= ${AR} cr
TCL_DEFS	= -DPACKAGE_NAME=\"tcl\" -DPACKAGE_TARNAME=\"tcl\" -DPACKAGE_VERSION=\"8.5\" -DPACKAGE_STRING=\"tcl\ 8.5\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_PTHREAD_GET_STACKSIZE_NP=1 -DTCL_THREADS=1 -DTCL_CFGVAL_ENCODING=\"iso8859-1\" -DMODULE_SCOPE=extern\ __attribute__\(\(__visibility__\(\"hidden\"\)\)\) -DMAC_OSX_TCL=1 -DHAVE_COREFOUNDATION=1 -DHAVE_CAST_TO_UNION=1 -DTCL_SHLIB_EXT=\".dylib\" -DTCL_TOMMATH=1 -DMP_PREC=4 -DTCL_WIDE_INT_IS_LONG=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRTOL=1 -DHAVE_WAITPID=1 -DHAVE_GETADDRINFO=1 -DHAVE_GETPWUID_R_5=1 -DHAVE_GETPWUID_R=1 -DHAVE_GETPWNAM_R_5=1 -DHAVE_GETPWNAM_R=1 -DHAVE_GETGRGID_R_5=1 -DHAVE_GETGRGID_R=1 -DHAVE_GETGRNAM_R_5=1 -DHAVE_GETGRNAM_R=1 -DHAVE_MTSAFE_GETHOSTBYNAME=1 -DHAVE_MTSAFE_GETHOSTBYADDR=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_MKTIME=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_STRUCT_STAT_ST_BLOCKS=1 -DHAVE_STRUCT_STAT_ST_BLKSIZE=1 -DHAVE_BLKCNT_T=1 -DHAVE_INTPTR_T=1 -DHAVE_UINTPTR_T=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_LANGINFO=1 -DHAVE_CHFLAGS=1 -DHAVE_GETATTRLIST=1 -DHAVE_COPYFILE_H=1 -DHAVE_COPYFILE=1 -DHAVE_LIBKERN_OSATOMIC_H=1 -DHAVE_OSSPINLOCKLOCK=1 -DHAVE_PTHREAD_ATFORK=1 -DUSE_VFORK=1 -DTCL_DEFAULT_ENCODING=\"utf-8\" -DTCL_LOAD_FROM_MEMORY=1 -DTCL_WIDE_CLICKS=1 -DHAVE_AVAILABILITYMACROS_H=1 -DHAVE_WEAK_IMPORT=1 -D_DARWIN_C_SOURCE=1 -DHAVE_FTS=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_FILIO_H=1 -DTCL_UNLOAD_DLLS=1 -DHAVE_CPUID=1 
TCL_BIN_DIR	= /usr/local/src/tcl8.5.13/unix
TCL_SRC_DIR	= /usr/local/src/tcl8.5.13
# This is necessary for packages that use private Tcl headers
#TCL_TOP_DIR_NATIVE	= @TCL_TOP_DIR_NATIVE@
# Not used, but retained for reference of what libs Tcl required
TCL_LIBS	= ${DL_LIBS} ${LIBS} ${MATH_LIBS}

#========================================================================
# TCLLIBPATH seeds the auto_path in Tcl's init.tcl so we can test our
# package without installing.  The other environment variables allow us
# to test against an uninstalled Tcl.  Add special env vars that you
# require for testing here (like TCLX_LIBRARY).
#========================================================================

EXTRA_PATH	= $(top_builddir):$(TCL_BIN_DIR)
TCLSH_ENV	= TCL_LIBRARY=`echo $(TCL_SRC_DIR)/library` \
		  DYLD_LIBRARY_PATH="$(EXTRA_PATH):$(DYLD_LIBRARY_PATH)" \
		  PATH="$(EXTRA_PATH):$(PATH)" \
		  TCLLIBPATH="$(top_builddir)"
TCLSH_PROG	= /usr/local/src/tcl8.5.13/unix/tclsh
TCLSH		= $(TCLSH_ENV) $(TCLSH_PROG)
SHARED_BUILD	= 1

INCLUDES	=  -I/Users/neumann/src/nsf2.0b4/generic -I./generic -I"/usr/local/src/tcl8.5.13/generic"

EXTRA_CFLAGS	=  

# TCL_DEFS is not strictly need here, but if you remove it, then you
# must make sure that configure.in checks for the necessary components
# that your library may use.  TCL_DEFS can actually be a problem if
# you do not compile with a similar machine setup as the Tcl core was
# compiled with.
#DEFS		= $(TCL_DEFS) -DPACKAGE_NAME=\"xotclsdbm\" -DPACKAGE_TARNAME=\"xotclsdbm\" -DPACKAGE_VERSION=\"1.2\" -DPACKAGE_STRING=\"xotclsdbm\ 1.2\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -DTCL_WIDE_INT_IS_LONG=1 -DUSE_TCL_STUBS=1 $(EXTRA_CFLAGS)
DEFS		= -DPACKAGE_NAME=\"xotclsdbm\" -DPACKAGE_TARNAME=\"xotclsdbm\" -DPACKAGE_VERSION=\"1.2\" -DPACKAGE_STRING=\"xotclsdbm\ 1.2\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -DTCL_WIDE_INT_IS_LONG=1 -DUSE_TCL_STUBS=1 $(EXTRA_CFLAGS)

CONFIG_CLEAN_FILES = Makefile

CPPFLAGS	= 
LIBS		=  -L/Users/neumann/src/nsf2.0b4 -lxotclstub1.6.8 -L/Users/neumann/src/nsf2.0b4 -lxotcl1.6.8 
AR		= ar
CFLAGS		= -pipe  ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS}  
COMPILE		= $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)

#========================================================================
# Start of user-definable TARGETS section
#========================================================================

#========================================================================
# TEA TARGETS.  Please note that the "libraries:" target refers to platform
# independent files, and the "binaries:" target inclues executable programs and
# platform-dependent libraries.  Modify these targets so that they install
# the various pieces of your package.  The make and install rules
# for the BINARIES that you specified above have already been done.
#========================================================================

all: binaries libraries doc

#========================================================================
# The binaries target builds executable programs, Windows .dll's, unix
# shared/static libraries, and any other platform-dependent files.
# The list of targets to build for "binaries:" is specified at the top
# of the Makefile, in the "BINARIES" variable.
#========================================================================

binaries: $(BINARIES) pkgIndex.tcl

libraries:

doc:
	@echo "If you have documentation to create, place the commands to"
	@echo "build the docs in the 'doc:' target.  For example:"
	@echo "        xml2nroff sample.xml > sample.n"
	@echo "        xml2html sample.xml > sample.html"

install: all install-binaries install-libraries install-doc

install-binaries: binaries install-lib-binaries install-bin-binaries
	if test "x$(SHARED_BUILD)" = "x1"; then \
	    $(INSTALL_DATA) pkgIndex.tcl $(DESTDIR)$(pkglibdir); \
	fi

#========================================================================
# This rule installs platform-independent files, such as header files.
#========================================================================

install-libraries: libraries
	@mkdir -p $(DESTDIR)$(includedir)
	@echo "Installing header files in $(DESTDIR)$(includedir)"
	@if test -n "$(PKG_HEADERS)" ; then \
	  for i in "$(PKG_HEADERS)" ; do \
	    echo "Installing $(srcdir)/$$i" ; \
	    $(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(includedir) ; \
	  done; \
	fi

#========================================================================
# Install documentation.  Unix manpages should go in the $(mandir)
# directory.
#========================================================================

install-doc: doc
#install-doc: doc
#	@mkdir -p $(DESTDIR)$(mandir)/mann
#	@echo "Installing documentation in $(DESTDIR)$(mandir)"
#	@for i in $(srcdir)/doc/*.n; do \
#	    echo "Installing $$i"; \
#	    rm -f $(DESTDIR)$(mandir)/mann/`basename $$i`; \
#	    $(INSTALL_DATA) $$i $(DESTDIR)$(mandir)/mann ; \
#	done

test: binaries libraries
	$(TCLSH) `echo $(srcdir)/tests/all.tcl` $(TESTFLAGS)

shell: binaries libraries
	@$(TCLSH) $(SCRIPT)

gdb:
	$(TCLSH_ENV) gdb $(TCLSH_PROG) $(SCRIPT)

depend:

#========================================================================
# $(PKG_LIB_FILE) should be listed as part of the BINARIES variable
# mentioned above.  That will ensure that this target is built when you
# run "make binaries".
#
# The $(PKG_OBJECTS) objects are created and linked into the final
# library.  In most cases these object files will correspond to the

## nsf 2.0.0

=== debian/changelog ===
nsf (2.0.0-2) unstable; urgency=medium

  * To fix FTBFS, exclude HTTP tests from running in debian builds, as
    buildd boxes do not guarantee for operative network I/O (Closes: #793845).

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Fri, 31 Jul 2015 13:08:37 +0200

nsf (2.0.0-1) unstable; urgency=low

  * Initial release (Closes: #766486)
  * See http://next-scripting.org/ for details on the upstream release.

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Tue, 28 Oct 2014 10:23:27 +0200

=== debian/control ===
Source: nsf
Section: libs
Priority: optional
Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Stefan Sobernig <stefan.sobernig@wu.ac.at>
Build-Depends: debhelper (>= 9.0.0), autotools-dev, tcl-dev, tcllib
Standards-Version: 3.9.6
Homepage: http://next-scripting.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/nsf.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nsf.git;a=summary

Package: nsf
Architecture: any
Depends: tcl (>= 8.5), ${shlibs:Depends}, ${misc:Depends}
Suggests: nsf-shells
Description: Next Scripting Framework (NSF): Object orientation for Tcl - shared library
 The Next Scripting Framework (for short: NSF) is an infrastructure
 for creating object-oriented scripting languages based on Tcl. This package
 provides two ready-made object-orientated extensions for Tcl based on
 NSF: Next Scripting Language (NX, pronounced "next") and Extended
 Object Tcl version 2 (XOTcl2, pronounced "exotickle").

Package: nsf-dev
Section: libdevel
Architecture: any
Depends: nsf (= ${binary:Version}), ${misc:Depends}
Description: Next Scripting Framework (NSF): Object orientation for Tcl - development files
 Header files and static libraries for libnsf. This package must be in
 place if you plan to develop using the NSF/C interface and/or if you
 want to create custom builds of NSF/C extensions.

Package: nsf-shells
Section: interpreters
Architecture: all
Depends: nsf, ${misc:Depends}
Recommends: tk
Conflicts: xotcl-shells
Description: Next Scripting Framework (NSF): Object orientation for Tcl - shells
 This package provides you with scripted shell wrappers for the two
 NSF-builtin Tcl extensions: NX (nxsh, nxwish) and XOTcl2 (xotclsh,
 xowish).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DIR = $(shell pwd)/debian/tmp
LIBDIR = $(DIR)/usr/lib/tcltk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- --libdir=/usr/lib/tcltk --includedir=/usr/include/nsf --enable-threads --enable-shared

override_dh_auto_build:
	dh_auto_build
	$(MAKE) man-nroff
# Provide a man extension (*nx) to the Section-3 manpages
	cd doc/ && \
	  for f in *.3 ; do \
	     f2=$$(echo $$f | sed -e 's/\.3/.3nx/') ; \
		cat $$f | sed -e 's/^\.TH \([^ ]\+\|"[^"]\+"\) [3n]/.TH \1 3nx/' \
			 >$$f2 ; \
	done

override_dh_auto_install:
	dh_auto_install

# clean-up temporary installation content, before compiling the debs

	rm -rf $(LIBDIR)/nsf*/xotcl/COPYRIGHT

override_dh_auto_test:
ifeq ($(filter $(DEB_BUILD_OPTIONS),nocheck),)
	$(MAKE) test-nohttp
endif

## nsf 2.1.0

=== debian/changelog ===
nsf (2.1.0-4) unstable; urgency=low

  * nsf.install: Fix installation target for xotcl::serializer (Closes: #856961)
  * Prepare a set of autopkgtests to check availability of NSF/NX Tcl packages.

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Mon, 06 Mar 2017 22:59:53 +0100

nsf (2.1.0-3) unstable; urgency=medium

  * Add NSF's lib and serializer package to the NSF debian package.

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Sat, 11 Feb 2017 22:05:47 +0100

nsf (2.1.0-2) unstable; urgency=low

  * Fix URLs in debian/control.

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Mon, 23 Jan 2017 22:50:35 +0100

nsf (2.1.0-1) unstable; urgency=low

  * Package upstream 2.1.0 release
  * Lintian clean as of lintian 2.5.50
  * debian/rules: Activated all hardening build flags
  * debian/control: Bumped standards version from 3.9.6 to 3.9.8, 
    use https rather than git URL schema.

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Tue, 20 Dec 2016 21:51:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Stefan Sobernig <stefan.sobernig@wu.ac.at>
 Build-Depends: debhelper (>= 9.0.0), autotools-dev, tcl-dev, tcllib
-Standards-Version: 3.9.6
-Homepage: http://next-scripting.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/nsf.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/nsf.git;a=summary
+Standards-Version: 3.9.8
+Homepage: https://next-scripting.org/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/nsf.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nsf.git
+Testsuite: autopkgtest
 
 Package: nsf
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

## nsf 2.2.0

=== debian/changelog ===
nsf (2.2.0-1) unstable; urgency=medium

  * Package upstream 2.2.0 release
  * debian/docs: Reflect renaming of README to README.md
  * debian/control: Change Vcs-* to Salsa repository
  * debian/control: Remove unneeded Testsuite setting
  * Lintian clean as of lintian 2.5.112
  * debian/control: Bumped standards version from 3.9.8 to 4.2.1
  * nsfConfig.sh: Remove src and build paths from nsfConfig.sh
    script (Closes: #890052)

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Tue, 13 Nov 2018 19:09:21 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Stefan Sobernig <stefan.sobernig@wu.ac.at>
 Build-Depends: debhelper (>= 9.0.0), autotools-dev, tcl-dev, tcllib
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://next-scripting.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/nsf.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/nsf.git
-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/tcltk-team/nsf.git
+Vcs-Browser: https://salsa.debian.org/tcltk-team/nsf
 
 Package: nsf
 Architecture: any

## nsf 2.3.0

=== debian/changelog ===
nsf (2.3.0-1) unstable; urgency=medium

  * Package upstream 2.3.0 release
  * debian/control: Bumped standards version from 4.2.1 to 4.3.0

 -- Stefan Sobernig <stefan.sobernig@wu.ac.at>  Mon, 27 May 2019 13:15:21 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Stefan Sobernig <stefan.sobernig@wu.ac.at>
 Build-Depends: debhelper (>= 9.0.0), autotools-dev, tcl-dev, tcllib
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://next-scripting.org/
 Vcs-Git: https://salsa.debian.org/tcltk-team/nsf.git
 Vcs-Browser: https://salsa.debian.org/tcltk-team/nsf

=== debian/tests/control ===
Test-Command: tclsh debian/tests/autopkgtest-nsf.tcl

## nsf 2.4.0

=== library/store/XOTclSdbm/Makefile ===
--- 
+++ 
@@ -161,7 +161,7 @@
 
 #========================================================================
 # TEA TARGETS.  Please note that the "libraries:" target refers to platform
-# independent files, and the "binaries:" target inclues executable programs and
+# independent files, and the "binaries:" target includes executable programs and
 # platform-dependent libraries.  Modify these targets so that they install
 # the various pieces of your package.  The make and install rules
 # for the BINARIES that you specified above have already been done.

=== library/xml/TclExpat-1.1/Makefile ===
# Makefile.in --
#
#	This file is a Makefile for Sample TEA Extension.  If it has the name
#	"Makefile.in" then it is a template for a Makefile;  to generate the
#	actual Makefile, run "./configure", which is a configuration script
#	generated by the "autoconf" program (constructs like "@foo@" will get
#	replaced in the actual Makefile.
#
# Copyright (c) 1999 Scriptics Corporation.
# Copyright (c) 2002-2003 ActiveState Corporation.
#
# See the file "license.terms" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# RCS: @(#) $Id: Makefile.in,v 1.5 2007/08/14 16:38:27 neumann Exp $

#========================================================================
# Add additional lines to handle any additional AC_SUBST cases that
# have been added in a customized configure script.
#========================================================================

#SAMPLE_NEW_VAR	= @SAMPLE_NEW_VAR@

#========================================================================
# Nothing of the variables below this line should need to be changed.
# Please check the TARGETS section below to make sure the make targets
# are correct.
#========================================================================

#========================================================================
# The names of the source files is defined in the configure script.
# The object files are used for linking into the final library.
# This will be used when a dist target is added to the Makefile.
# It is not important to specify the directory, as long as it is the
# $(srcdir) or in the generic, win or unix subdirectory.
#========================================================================

PKG_SOURCES	=  xmltok.c unixfilemap.c xmlrole.c xmlwf.c codepage.c xmlparse.c hashtable.c tclexpat.c
PKG_OBJECTS	=  xmltok.o unixfilemap.o xmlrole.o xmlwf.o codepage.o xmlparse.o hashtable.o tclexpat.o

PKG_STUB_SOURCES = 
PKG_STUB_OBJECTS = 

#========================================================================
# PKG_TCL_SOURCES identifies Tcl runtime files that are associated with
# this package that need to be installed, if any.
#========================================================================

PKG_TCL_SOURCES = 

#========================================================================
# This is a list of public header files to be installed, if any.
#========================================================================

PKG_HEADERS	= 

#========================================================================
# "PKG_LIB_FILE" refers to the library (dynamic or static as per
# configuration options) composed of the named objects.
#========================================================================

PKG_LIB_FILE	= libxotclexpat0.9.dylib
PKG_STUB_LIB_FILE = libxotclexpatstub0.9.a

lib_BINARIES	= $(PKG_LIB_FILE)
BINARIES	= $(lib_BINARIES)

SHELL		= /bin/sh

srcdir		= .
prefix		= /usr/local
exec_prefix	= /usr/local/

bindir		= ${exec_prefix}/bin
libdir		= ${exec_prefix}/lib
datadir		= ${prefix}/share
mandir		= ${prefix}/share/man
includedir	= ${prefix}/include

DESTDIR		=

PKG_DIR		= $(PACKAGE_NAME)$(PACKAGE_VERSION)
pkgdatadir	= $(datadir)/$(PKG_DIR)
pkglibdir	= $(libdir)/$(PKG_DIR)
pkgincludedir	= $(includedir)/$(PKG_DIR)

top_builddir	= .

INSTALL		= /usr/bin/install -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644
INSTALL_SCRIPT	= ${INSTALL}

PACKAGE_NAME	= xotclexpat
PACKAGE_VERSION	= 0.9
CC		= gcc
CFLAGS_DEFAULT	= -g
CFLAGS_WARNING	= -Wall
CLEANFILES	= pkgIndex.tcl
EXEEXT		= 
LDFLAGS_DEFAULT	=  -prebind -headerpad_max_install_names -Wl,-search_paths_first 
MAKE_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS} 
MAKE_SHARED_LIB	= ${SHLIB_LD} -o $@ $(PKG_OBJECTS) ${SHLIB_LD_LIBS}
MAKE_STATIC_LIB	= ${STLIB_LD} $@ $(PKG_OBJECTS)
MAKE_STUB_LIB	= ${STLIB_LD} $@ $(PKG_STUB_OBJECTS)
OBJEXT		= o
RANLIB		= :
RANLIB_STUB	= ranlib
SHLIB_CFLAGS	= -fno-common
SHLIB_LD	= ${CC} -dynamiclib ${CFLAGS} ${LDFLAGS_DEFAULT} -Wl,-single_module -current_version 0.9 -compatibility_version 0.9
SHLIB_LD_FLAGS	= @SHLIB_LD_FLAGS@
SHLIB_LD_LIBS	= ${LIBS} -L/usr/local/src/tcl8.5.13/unix -ltclstub8.5
STLIB_LD	= ${AR} cr
TCL_DEFS	= -DPACKAGE_NAME=\"tcl\" -DPACKAGE_TARNAME=\"tcl\" -DPACKAGE_VERSION=\"8.5\" -DPACKAGE_STRING=\"tcl\ 8.5\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DHAVE_PTHREAD_ATTR_SETSTACKSIZE=1 -DHAVE_PTHREAD_GET_STACKSIZE_NP=1 -DTCL_THREADS=1 -DTCL_CFGVAL_ENCODING=\"iso8859-1\" -DMODULE_SCOPE=extern\ __attribute__\(\(__visibility__\(\"hidden\"\)\)\) -DMAC_OSX_TCL=1 -DHAVE_COREFOUNDATION=1 -DHAVE_CAST_TO_UNION=1 -DTCL_SHLIB_EXT=\".dylib\" -DTCL_TOMMATH=1 -DMP_PREC=4 -DTCL_WIDE_INT_IS_LONG=1 -DHAVE_GETCWD=1 -DHAVE_OPENDIR=1 -DHAVE_STRTOL=1 -DHAVE_WAITPID=1 -DHAVE_GETADDRINFO=1 -DHAVE_GETPWUID_R_5=1 -DHAVE_GETPWUID_R=1 -DHAVE_GETPWNAM_R_5=1 -DHAVE_GETPWNAM_R=1 -DHAVE_GETGRGID_R_5=1 -DHAVE_GETGRGID_R=1 -DHAVE_GETGRNAM_R_5=1 -DHAVE_GETGRNAM_R=1 -DHAVE_MTSAFE_GETHOSTBYNAME=1 -DHAVE_MTSAFE_GETHOSTBYADDR=1 -DUSE_TERMIOS=1 -DHAVE_SYS_TIME_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_GMTIME_R=1 -DHAVE_LOCALTIME_R=1 -DHAVE_MKTIME=1 -DHAVE_TM_GMTOFF=1 -DHAVE_TIMEZONE_VAR=1 -DHAVE_STRUCT_STAT_ST_BLOCKS=1 -DHAVE_STRUCT_STAT_ST_BLKSIZE=1 -DHAVE_BLKCNT_T=1 -DHAVE_INTPTR_T=1 -DHAVE_UINTPTR_T=1 -DHAVE_SIGNED_CHAR=1 -DHAVE_LANGINFO=1 -DHAVE_CHFLAGS=1 -DHAVE_GETATTRLIST=1 -DHAVE_COPYFILE_H=1 -DHAVE_COPYFILE=1 -DHAVE_LIBKERN_OSATOMIC_H=1 -DHAVE_OSSPINLOCKLOCK=1 -DHAVE_PTHREAD_ATFORK=1 -DUSE_VFORK=1 -DTCL_DEFAULT_ENCODING=\"utf-8\" -DTCL_LOAD_FROM_MEMORY=1 -DTCL_WIDE_CLICKS=1 -DHAVE_AVAILABILITYMACROS_H=1 -DHAVE_WEAK_IMPORT=1 -D_DARWIN_C_SOURCE=1 -DHAVE_FTS=1 -DHAVE_SYS_IOCTL_H=1 -DHAVE_SYS_FILIO_H=1 -DTCL_UNLOAD_DLLS=1 -DHAVE_CPUID=1 
TCL_BIN_DIR	= /usr/local/src/tcl8.5.13/unix
TCL_SRC_DIR	= /usr/local/src/tcl8.5.13
# This is necessary for packages that use private Tcl headers
#TCL_TOP_DIR_NATIVE	= @TCL_TOP_DIR_NATIVE@
# Not used, but retained for reference of what libs Tcl required
TCL_LIBS	= ${DL_LIBS} ${LIBS} ${MATH_LIBS}

#========================================================================
# TCLLIBPATH seeds the auto_path in Tcl's init.tcl so we can test our
# package without installing.  The other environment variables allow us
# to test against an uninstalled Tcl.  Add special env vars that you
# require for testing here (like TCLX_LIBRARY).
#========================================================================

EXTRA_PATH	= $(top_builddir):$(TCL_BIN_DIR)
TCLSH_ENV	= TCL_LIBRARY=`echo $(TCL_SRC_DIR)/library` \
		  DYLD_LIBRARY_PATH="$(EXTRA_PATH):$(DYLD_LIBRARY_PATH)" \
		  PATH="$(EXTRA_PATH):$(PATH)" \
		  TCLLIBPATH="$(top_builddir)"
TCLSH_PROG	= /usr/local/src/tcl8.5.13/unix/tclsh
TCLSH		= $(TCLSH_ENV) $(TCLSH_PROG)
SHARED_BUILD	= 1

INCLUDES	=  -I/Users/neumann/src/nsf2.0b4/generic -I./generic -I"/usr/local/src/tcl8.5.13/generic"

EXTRA_CFLAGS	=  

# TCL_DEFS is not strictly need here, but if you remove it, then you
# must make sure that configure.in checks for the necessary components
# that your library may use.  TCL_DEFS can actually be a problem if
# you do not compile with a similar machine setup as the Tcl core was
# compiled with.
#DEFS		= $(TCL_DEFS) -DPACKAGE_NAME=\"xotclexpat\" -DPACKAGE_TARNAME=\"xotclexpat\" -DPACKAGE_VERSION=\"0.9\" -DPACKAGE_STRING=\"xotclexpat\ 0.9\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -DMODULE_SCOPE=extern\ __attribute__\(\(__visibility__\(\"hidden\"\)\)\) -DTCL_WIDE_INT_IS_LONG=1 -DUSE_TCL_STUBS=1 $(EXTRA_CFLAGS)
DEFS		= -DPACKAGE_NAME=\"xotclexpat\" -DPACKAGE_TARNAME=\"xotclexpat\" -DPACKAGE_VERSION=\"0.9\" -DPACKAGE_STRING=\"xotclexpat\ 0.9\" -DPACKAGE_BUGREPORT=\"\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DNO_VALUES_H=1 -DHAVE_LIMITS_H=1 -DHAVE_SYS_PARAM_H=1 -DUSE_THREAD_ALLOC=1 -D_REENTRANT=1 -D_THREAD_SAFE=1 -DTCL_THREADS=1 -DMODULE_SCOPE=extern\ __attribute__\(\(__visibility__\(\"hidden\"\)\)\) -DTCL_WIDE_INT_IS_LONG=1 -DUSE_TCL_STUBS=1 $(EXTRA_CFLAGS)

CONFIG_CLEAN_FILES = Makefile

CPPFLAGS	= 
LIBS		=  -L/Users/neumann/src/nsf2.0b4 -lxotclstub1.6.8 
AR		= ar
CFLAGS		= -pipe  ${CFLAGS_DEFAULT} ${CFLAGS_WARNING} ${SHLIB_CFLAGS}  
COMPILE		= $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)

#========================================================================
# Start of user-definable TARGETS section
#========================================================================

#========================================================================
# TEA TARGETS.  Please note that the "libraries:" target refers to platform
# independent files, and the "binaries:" target inclues executable programs and
# platform-dependent libraries.  Modify these targets so that they install
# the various pieces of your package.  The make and install rules
# for the BINARIES that you specified above have already been done.
#========================================================================

all: binaries libraries doc

#========================================================================
# The binaries target builds executable programs, Windows .dll's, unix
# shared/static libraries, and any other platform-dependent files.
# The list of targets to build for "binaries:" is specified at the top
# of the Makefile, in the "BINARIES" variable.
#========================================================================

binaries: $(BINARIES) pkgIndex.tcl

libraries:

doc:
	@echo "If you have documentation to create, place the commands to"
	@echo "build the docs in the 'doc:' target.  For example:"
	@echo "        xml2nroff sample.xml > sample.n"
	@echo "        xml2html sample.xml > sample.html"

install: all install-binaries install-libraries install-doc

install-binaries: binaries install-lib-binaries install-bin-binaries
	if test "x$(SHARED_BUILD)" = "x1"; then \
	    $(INSTALL_DATA) pkgIndex.tcl $(DESTDIR)$(pkglibdir); \
	fi

#========================================================================
# This rule installs platform-independent files, such as header files.
#========================================================================

install-libraries: libraries
	@mkdir -p $(DESTDIR)$(includedir)
	@echo "Installing header files in $(DESTDIR)$(includedir)"
	@if test -n "$(PKG_HEADERS)" ; then \
	for i in "$(PKG_HEADERS)" ; do \
	    echo "Installing $(srcdir)/$$i" ; \
	    $(INSTALL_DATA) $(srcdir)/$$i $(DESTDIR)$(includedir) ; \
	done; \
	fi

#========================================================================
# Install documentation.  Unix manpages should go in the $(mandir)
# directory.
#========================================================================

install-doc: doc
#install-doc: doc
#	@mkdir -p $(DESTDIR)$(mandir)/mann
#	@echo "Installing documentation in $(DESTDIR)$(mandir)"
#	@for i in $(srcdir)/doc/*.n; do \
#	    echo "Installing $$i"; \
#	    rm -f $(DESTDIR)$(mandir)/mann/`basename $$i`; \
#	    $(INSTALL_DATA) $$i $(DESTDIR)$(mandir)/mann ; \
#	done

test: binaries libraries
	$(TCLSH) `echo $(srcdir)/tests/all.tcl` $(TESTFLAGS)

shell: binaries libraries
	@$(TCLSH) $(SCRIPT)

gdb:
	$(TCLSH_ENV) gdb $(TCLSH_PROG) $(SCRIPT)

depend:

#========================================================================

=== debian/changelog ===
nsf (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Bump debhelper compatibility level to 13.
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 24 Apr 2024 11:50:34 +0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Stefan Sobernig <stefan.sobernig@wu.ac.at>
-Build-Depends: debhelper (>= 9.0.0), autotools-dev, tcl-dev, tcllib
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), tcl-dev, tcllib
+Standards-Version: 4.7.0
 Homepage: https://next-scripting.org/
 Vcs-Git: https://salsa.debian.org/tcltk-team/nsf.git
 Vcs-Browser: https://salsa.debian.org/tcltk-team/nsf

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ 
+	dh $@ --no-parallel
 
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=/usr/lib/tcltk --includedir=/usr/include/nsf --enable-threads --enable-shared

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/next-scripting/nsf(.*)\.tar\.gz
